# class KPaletteTable | A color palette in table form. More...
Definition | `#include <kcolordialog.h>`
Inherits | QWidget (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KPaletteTable ( QWidget *parent, int minWidth=210, int cols = 16)
- ~KPaletteTable ()
- void addToCustomColors ( const QColor &)
- void addToRecentColors ( const QColor &)
- QString palette ()

#### Public Slots

- void setPalette (const QString &paletteName)

#### Signals

- void colorSelected ( const QColor &, const QString & )

#### Protected Methods

- void readNamedColor ( void )

#### Protected Slots

- void slotColorCellSelected ( int )
- void slotColorTextSelected ( const QString &colorText )
- void slotSetPalette ( const QString &_paletteName )
- void slotShowNamedColorReadError ( void )

#### Protected Members

- QString i18n_customColors
- QString i18n_recentColors
- QString i18n_namedColors
- QComboBox *combo
- KColorCells *cells
- QScrollView *sv
- KListBox *mNamedColorList
- KPalette *mPalette
- int mMinWidth
- int mCols

## Detailed Description

A color palette in table form.

KPaletteTable ( QWidget *parent, int minWidth=210, int cols = 16) | ### KPaletteTable

~KPaletteTable () | ### ~KPaletteTable

void addToCustomColors ( const QColor &) | ### addToCustomColors

void addToRecentColors ( const QColor &) | ### addToRecentColors

QString palette () | ### palette

Reimplemented from QWidget.

void setPalette (const QString &paletteName) | ### setPalette

[slot]

Reimplemented from QWidget.

void colorSelected ( const QColor &, const QString & ) | ### colorSelected

[signal]

void slotColorCellSelected ( int ) | ### slotColorCellSelected

[protected slots slot]

void slotColorTextSelected ( const QString &colorText ) | ### slotColorTextSelected

[protected slots slot]

void slotSetPalette ( const QString &_paletteName ) | ### slotSetPalette

[protected slots slot]

void slotShowNamedColorReadError ( void ) | ### slotShowNamedColorReadError

[protected slots slot]

void readNamedColor ( void ) | ### readNamedColor

[protected]

QString i18n_customColors | ### i18n_customColors

[protected]

QString i18n_recentColors | ### i18n_recentColors

[protected]

QString i18n_namedColors | ### i18n_namedColors

[protected]

QComboBox * combo | ### combo

[protected]

KColorCells * cells | ### cells

[protected]

QScrollView * sv | ### sv

[protected]

KListBox * mNamedColorList | ### mNamedColorList

[protected]

KPalette * mPalette | ### mPalette

[protected]

int mMinWidth | ### mMinWidth

[protected]

int mCols | ### mCols

[protected]

- Version: $Id: kcolordialog.h,v 1.34 2000/12/21 18:53:18 waba Exp $
- Author: Waldo Bastian <bastian@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.